


declare @id_reporte as integer
set @id_reporte =(select id from rep_reporte where reporte_codigo ='formatos/Traslado')
declare @uid varchar(500)
select @uid=uid from seg_usuario where id=1

if not exists (select * from rep_opcionReporte where opcionReporte_codigo ='EC' and id_reporte=@id_reporte )
begin
insert into [rep_opcionReporte] ([uid], [eid] ,[id_usuario_modifico] ,[id_usuario_creo] ,[fechaCreacion] ,[fechaModificacion] ,[active] ,[opcionReporte] ,
[opcionReporte_codigo] ,[id_reporte] ,[defecto] )
values
(@uid,01,0,0,GETDATE(),GETDATE(),1,'Encabezado','EC',@id_reporte,1)
end


if not exists (select * from rep_opcionReporte where opcionReporte_codigo ='DD' and id_reporte=@id_reporte  )
begin
insert into [rep_opcionReporte] ([uid], [eid] ,[id_usuario_modifico] ,[id_usuario_creo] ,[fechaCreacion] ,[fechaModificacion] ,[active] ,[opcionReporte] ,
[opcionReporte_codigo] ,[id_reporte] ,[defecto] )
values
(@uid,01,1,1,GETDATE(),GETDATE(),1,'Detalle Documento','DD',@id_reporte,1)
end


if not exists (select * from rep_opcionReporte where opcionReporte_codigo ='OB' and id_reporte=@id_reporte  )
begin
insert into [rep_opcionReporte] ([uid], [eid] ,[id_usuario_modifico] ,[id_usuario_creo] ,[fechaCreacion] ,[fechaModificacion] ,[active] ,[opcionReporte] ,
[opcionReporte_codigo] ,[id_reporte] ,[defecto] )
values
(@uid,01,1,1,GETDATE(),GETDATE(),1,'Observaciones','OB',@id_reporte,1)
end


if not exists (select * from rep_opcionReporte where opcionReporte_codigo ='SF' and id_reporte=@id_reporte  )
begin
insert into [rep_opcionReporte] ([uid], [eid] ,[id_usuario_modifico] ,[id_usuario_creo] ,[fechaCreacion] ,[fechaModificacion] ,[active] ,[opcionReporte] ,
[opcionReporte_codigo] ,[id_reporte] ,[defecto] )
values
(@uid,01,1,1,GETDATE(),GETDATE(),1,'Sección de Firmas','SF',@id_reporte,1)
end




